RDKit::PicklerOps Namespace Reference

## Typedefs

using | QueryDetails = boost::variant< MolPickler::Tags, std::tuple< MolPickler::Tags, int32_t >, std::tuple< MolPickler::Tags, int32_t, int32_t >, std::tuple< MolPickler::Tags, int32_t, int32_t, int32_t, char >, std::tuple< MolPickler::Tags, std::set< int32_t > >>

## Enumerations

enum | PropertyPickleOptions { NoProps = 0 , MolProps = 0x1 , AtomProps = 0x2 , BondProps = 0x4 , QueryAtomData , PrivateProps = 0x10 , ComputedProps = 0x20 , AllProps = 0x0000FFFF , CoordsAsDouble = 0x0001FFFF , NoConformers }

## Functions

template<class T >
QueryDetails | getQueryDetails (const Queries::Query< int, T const *, true > *query)

## Typedef Documentation

## QueryDetails

using RDKit::PicklerOps::QueryDetails = typedef boost::variant< MolPickler::Tags, std::tuple<MolPickler::Tags, int32_t>, std::tuple<MolPickler::Tags, int32_t, int32_t>, std::tuple<MolPickler::Tags, int32_t, int32_t, int32_t, char>, std::tuple<MolPickler::Tags, std::set<int32_t> >>

Definition at line 302 of file MolPickler.h.

## Enumeration Type Documentation

## PropertyPickleOptions

enum RDKit::PicklerOps::PropertyPickleOptions

Enumerator
NoProps |
MolProps |
AtomProps |
BondProps |
QueryAtomData |
PrivateProps |
ComputedProps |
AllProps |
CoordsAsDouble |
NoConformers |

Definition at line 51 of file MolPickler.h.

## Function Documentation

## getQueryDetails()

template<class T >

QueryDetails RDKit::PicklerOps::getQueryDetails | ( | const Queries::Query< int, T const *, true > * | query | ) |